/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
/**
 * AdobePatentID="3435US01"
 */
package com.adobe.cq.launches.api;

import org.apache.sling.api.resource.ResourceResolver;

/**
 * This is the service interface used to creates <code>LaunchManager</code> instances.
 */
public interface LaunchManagerFactory {

    /**
     * Get a new instance of <code>LaunchManager</code> based on provided
     * resource resolver
     *
     * @param resolver Resource resolver
     * @return New <code>LaunchManager</code> instance
     */
    public LaunchManager getLaunchManager(ResourceResolver resolver) {
		return null;
	}

}
