/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.adobe.cq.mobile.dps;

import aQute.bnd.annotation.ProviderType;

/**
 * Domain object representing DPS Banner metadata.
 *
 * @since 6.2
 */
@ProviderType
public interface DPSBanner extends DPSEntity {

    boolean isAdvertisement() {
		return false;
	}

    AdType getAdType() {
		return null;
	}

    String getAdCategory() {
		return null;
	}
    
    String getAdvertiser() {
		return null;
	}

    String getTapAction() {
		return null;
	}

    String getTapActionURL() {
		return null;
	}
}