/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2016 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.adobe.cq.msm.ui.models.blueprintconfig;

import java.util.Calendar;
import java.util.HashMap;
import java.util.Map;

import javax.annotation.PostConstruct;

import org.apache.jackrabbit.util.Text;
import org.apache.sling.api.SlingHttpServletRequest;
import org.apache.sling.api.resource.Resource;
import org.apache.sling.api.resource.ValueMap;
import org.apache.sling.models.annotations.Model;
import org.apache.sling.models.annotations.injectorspecific.ScriptVariable;
import org.apache.sling.models.annotations.injectorspecific.Self;

import com.adobe.granite.xss.XSSAPI;
import com.day.cq.commons.jcr.JcrConstants;
import com.day.cq.wcm.api.Page;

@Model(adaptables = SlingHttpServletRequest.class)
public class BlueprintColumnItem {

    @ScriptVariable
    private Resource resource;

    private boolean isPage;

    private String imgSrc;

    private String title;

    private Map<String, String>  itemAttrb;

    @ScriptVariable
    private XSSAPI xssAPI;

    @Self
    private SlingHttpServletRequest request;


    @PostConstruct
    public void postConstruct() throws Exception {
	}

    public boolean isPage() {
		return false;
	}

    public boolean isValidSelection() {
		return false;
	}

    public String getImageSource() {
		return null;
	}

    public Map<String, String> getItemAttrb() {
		return null;
	}

    public String getTitle() {
		return null;
	}

    private String getThumbnailUrl(Page page, int width, int height) {
		return null;
	}

}
