/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2016 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.enablement.learningpath.model.api;

import com.adobe.cq.social.enablement.resource.model.api.EnablementResourceModel;
import com.adobe.cq.social.scf.SocialComponent;

public interface EnablementLearningPathResource extends SocialComponent {

    public static final String RESOURCE_TYPE = "social/enablement/components/hbs/model/learningpath/reference";

    public static final String RESOURCE_PATH = "se_path";
    public static final String RESOURCE_REQUIRED = "se_required";

    public EnablementResourceModel getEnablementResource() {
		return null;
	}

    public String getResourcePath() {
		return null;
	}

    public Boolean isRequired() {
		return null;
	}
}
