/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2016 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.enablement.resource.model.api;

import aQute.bnd.annotation.ProviderType;

import com.adobe.cq.social.scf.ClientUtilities;
import com.adobe.cq.social.scf.SocialComponent;

@ProviderType
public interface EnablementSocialComponent extends SocialComponent {

    public static final String PROPERTY_PREFIX = "se_";
    public static final String ENABLEMENT_TYPE_KEY = "se_enablement-type";
    public static final String ENABLEMENT_TYPE_RESOURCE = "resource";
    public static final String ENABLEMENT_TYPE_LEARNINGPATH = "learningpath";

    /**
     * Set the containing page (e.g. catalog, my assigned) for this enablement component
     * @param clientUtils
     */
    public void setContainingPage(final ClientUtilities clientUtils) {
	}
    public void setFriendlyURL(final ClientUtilities clientUtils) {
	}

}
