/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2016 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.enablement.view.api;

import java.util.Map;

import com.adobe.cq.social.enablement.resource.model.api.EnablementResourceModelList;

public interface EnablementSiteCatalogView extends EnablementResourceModelList {

    /**
     * Resource type.
     */
    String RESOURCE_TYPE = "social/enablement/components/hbs/view/catalog";

    /**
     * Returns a map of id/display-name pairs of all catalog tags, only if 'tag' filter is not specified in the
     * requestInfo (or if tag filter is 'all-tags'). Otherwise, it will return an empty map.
     * @return Map of of tag id/display-name name/value pairs
     */
    Map<String, String> getAllCatalogTags() {
		return null;
	}

}
