/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.group.client.api;

import com.adobe.cq.social.commons.Attachment;
import com.adobe.cq.social.site.api.BaseSite;

public interface CommunityGroup extends BaseSite {

    String RESOURCE_TYPE = "social/group/components/hbs/communitygroups/communitygroup";
    String COMMUNITYGROUP_IMAGE_PATH = "/photos/image";
    String COMMUNITYGROUP_IMAGE_WIDTH = "319";
    String COMMUNITYGROUP_IMAGE_HEIGHT = "319";
    String COMMUNITYGROUP_IMAGE_THUMB_OPERATOR = "thumb";
    String COMMUNITYGROUP_IMAGE_EXTENSION = ".jpg";

    /**
     * Get the group unique id
     * @return groupeId
     */
    String getGroupId() {
		return null;
	}

    /**
     * Get the group title
     * @return title
     */
    String getTitle() {
		return null;
	}

    String getPagePath() {
		return null;
	}

    String getImageURL() {
		return null;
	}

    String getType() {
		return null;
	}

    String getMemberGroupId() {
		return null;
	}

    boolean isLoggedInAsMember() {
		return false;
	}

    boolean isLoggedInAsAdmin() {
		return false;
	}
}
