/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.messaging.osgi;

import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;
import org.osgi.util.tracker.ServiceTracker;

/**
 * Implementation of {@link org.osgi.framework.BundleActivator} for Messaging.
 */
public class BundleServices implements BundleActivator {

    private static BundleContext bundleContext;

    private static Map<String, ServiceTracker> serviceTrackers = new HashMap<String, ServiceTracker>();

    @Override
    public void start(final BundleContext context) throws Exception {
	}

    @Override
    public synchronized void stop(final BundleContext context) throws Exception {
	}

    /**
     * Get the service for the specified class.
     * @param in The class.
     * @param <T> The type of the service.
     * @return The service.
     */
    public static <T> T getService(final Class<T> in) {
		return null;
	}
}
