/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2015 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

/**
 * This package contains facilities to search for user generated content. It takes care of
 * differences between different storage mechanisms.
 *
 * The {@link UgcSearch} class provides basic search capabilities, including filtering
 * (via {@link Constraint}) and sorting.
 *
 * The {@link RelatedSearch} class provides more advanced search capabilities, including faceting.
 */
@Version("1.4.0")
package com.adobe.cq.social.ugc.api;

import aQute.bnd.annotation.Version;

