/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2015 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.ugcbase;

import aQute.bnd.annotation.ProviderType;

/**
 * AEM Communities Publisher Configuration.
 */
@ProviderType
public interface PublisherConfiguration {

    /**
     * Checks whether this is a primary publisher in a farm - certain tasks will be handled by the primary publisher
     * only.
     * @return true if this a primary publisher
     */
    boolean isPrimaryPublisher() {
		return false;
	}
}
