/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2016 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

/**
 * Provides a service to generate cryptographic keys suitable for storage.
 * Consumers of this service will import this package and get the
 * {@link com.adobe.granite.crypto.spi.KeyGenerator} service from the OSGi
 * service registry.
 * Provide a service to obtain cryptographic keys stored in a storage system.
 * Consumers of this service will import this package and get the
 * {@link com.adobe.granite.crypto.spi.KeyProvider} service from the OSGi
 * service registry.
 * 
 * The supported algorithms are listed in the {@link com.adobe.granite.crypto.spi.Algorithms} 
 * enumeration
 *
 * @version 1.0
 */
@Version("1.0")
@Export(optional = "provide:=true")
package com.adobe.granite.crypto.spi;

import aQute.bnd.annotation.Export;
import aQute.bnd.annotation.Version;

