/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.day.cq.dam.api.s7dam.set;

import java.util.Iterator;

import aQute.bnd.annotation.ProviderType;

import com.day.cq.dam.api.Asset;

/**
 * Represents a Scene7 Image Set.
 * This interface is deprecated. Use MediaSet instead of this.
 * @deprecated Not for public use - this API will be replaced in a future release
 * 
 */
@Deprecated
@ProviderType
public interface ImageSet extends MediaSet {

    
    /**
     * Returns an iterator over assets in the Image Set
     *
     * @return iterator over assets {@link Asset} in collection.
     * @deprecated Use getMembers() instead of this.
     */
    Iterator<Asset> getImages() {
		return null;
	}

}
