/*
 * Copyright 1997-2008 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.dam.commons.thumbnail;

import com.day.cq.dam.api.thumbnail.ThumbnailConfig;

/**
 * @author djaeggi
 * @since CQ 5.4.0
 * @see com.day.cq.dam.commons.thumbnail.ThumbnailGenerator
 */
public class ThumbnailConfigImpl implements ThumbnailConfig {

    private final int width;
    private final int height;
    private final boolean doCenter;

    public ThumbnailConfigImpl(final int width, final int height, final boolean doCenter) {
        this.width = width;
        this.height = height;
        this.doCenter = doCenter;
    }

    public int getWidth() {
		return 0;
	}

    public int getHeight() {
		return 0;
	}

    public boolean doCenter() {
		return false;
	}
}
