/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.day.cq.dam.handler.standard.epub;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.HashMap;
import java.util.Map;
import java.util.zip.ZipEntry;
import java.util.zip.ZipInputStream;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;

import org.apache.commons.io.IOUtils;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

import com.day.cq.dam.commons.xml.DocumentBuilderFactoryProvider;

/**
 * this class is required to override InputStream's close
 * the DOM parse seems to close the inputstream
 *
 * */

class NonCloseableInputStream extends InputStream {
    protected InputStream master;
    protected NonCloseableInputStream (InputStream in) {
        master = in;
    }
    public int read () throws IOException {
		return 0;
	}
}

/**
 * The EPub extractor implementation
 *
 * */

public class EPubExtractor {

    public EPubExtractor () throws Exception {
    }

    /**
     * Look for a .opf file in the zip achive and extract metadata out of it
     * return it as a Map
     *
     * */

    public Map<String, String> extractMetadata (InputStream in) throws Exception {
		return null;
	}
    /**
     * Extract the cover image with with <code>href</code>
     *
     * */

    public byte[] extractImage (InputStream in, String href) throws Exception {
		return null;
	}
    /**
     * Extract metadata from the inputstream
     * return it as a Map
     *
     * */

    protected Map<String, String> readMetadata (InputStream in) throws Exception {
		return null;
	}
}

