/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.day.cq.mcm.campaign.profile;

import java.util.Iterator;

/**
 * <p>Represents the subscriptions that are available.</p>
 *
 * <p>The usage of instances of this interface are designed for multi-threaded use, so
 * they should assumed threadsafe.</p>
 */
public interface Subscriptions {

    /**
     * Returns an {@link Iterator} over the available subscriptions.
     *
     * @return The iterator
     */
    Iterator<Subscription> getSubscriptions() {
		return null;
	}

}
