/*******************************************************************************
 * ADOBE CONFIDENTIAL
 * __________________
 * Copyright 2015 Adobe Systems Incorporated
 * All Rights Reserved.
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 ******************************************************************************/

package com.day.cq.personalization;

import java.util.List;

import org.apache.sling.api.resource.ResourceResolver;

import com.day.cq.personalization.dto.LocationItem;

import aQute.bnd.annotation.ProviderType;

/**
 * Exposes various utility functions for working with targeted content.
 */
@ProviderType
@Deprecated
public interface TargetedContentHelper {

    /**
     * Finds the actual content paths for a given list of location names.
     *
     * @param resolver a {@link ResourceResolver} used to access the repository
     * @param locations an array of location names
     * @return a {@link List} of {@link LocationItem} objects an empty list if no paths were found.
     * @deprecated Use {@link TargetedContentHelper#findLocations(ResourceResolver, String[])} instead
     */
    @Deprecated
    List<LocationItem> findLocationsPaths(ResourceResolver resolver, String[] locations) {
		return null;
	}


    /**
     * Finds the actual content paths for a given list of location names.
     *
     * @param resolver a {@link ResourceResolver} used to access the repository
     * @param locationName one or more location names for which to retrieve the path
     * @return a {@link List} of {@link Location} objects an empty list if no paths were found.
     * @deprecated Use {@link TargetedContentManager#findLocations(ResourceResolver, String...)} instead
     */
    List<Location> findLocations(ResourceResolver resolver, String... locationName) {
		return null;
	}
}
