/* Copyright 1997-2006 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.retriever;


public interface RetrieverService {
    /** Retrieve the given uri, process and store the results
     *  to the supplied storage 
     *  @param uri where to retrieve content from
     *  @param baseUri if not null and not empty, used instead of the base uri derived from uri
     *  @param storage used to store content and downloaded resources
     */
    void retrieve(String uri, String baseUri, RetrieverStorage storage) throws Exception {
	}
}