/*
 * Copyright 1997-2008 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.rewriter.pipeline;

import java.io.IOException;

import org.xml.sax.ContentHandler;

import com.day.cq.rewriter.processor.ProcessingComponentConfiguration;
import com.day.cq.rewriter.processor.ProcessingContext;

/**
 * The <code>Serializer</code> marks the end of the pipeline.
 * @deprecated Use the Apache Sling Rewriter Module (org.apache.sling.rewriter.Serializer)
 */
@Deprecated
public interface Serializer extends ContentHandler {

    /**
     * Initialize this component.
     * @param context The invocation context.
     * @param config The configuration for this component.
     */
    void init(ProcessingContext context, ProcessingComponentConfiguration config)
    throws IOException {
	}
}
