/*************************************************************************
 * ADOBE CONFIDENTIAL
 * __________________
 * Copyright 2011 Adobe Systems Incorporated
 * All Rights Reserved.
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and may be covered by U.S. and Foreign Patents,
 * patents in process, and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.day.cq.searchpromote.xml.result;

import javax.xml.stream.XMLEventReader;
import javax.xml.stream.events.StartElement;
import javax.xml.stream.events.XMLEvent;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class CustomerResult implements ResultEntity {
    private static final Logger LOG = LoggerFactory.getLogger(CustomerResult.class);

    private static final String QUERY_NODE = "query";

    private static final String CUSTOM_FIELDS_NODE = "custom-fields";

    private static final String MENUS_NODE = "menus";

    private static final String BREADCRUMBS_NODE = "breadcrumbs";

    private static final String SUGGESTIONS_NODE = "suggestions";

    private static final String PAGINATION_NODE = "pagination";

    private static final String FACETS_NODE = "facets";

    private static final String RESULTS_NODE = "results";

    private static final String BANERS_NODE = "banners";

    private static final String ZONES_NODE = "zones";

    private static final String TEMPLATE_NODE = "template";

    private static final String SEARCH_FORM_NODE = "search-form";

    private static final String REDIRECT_NODE = "redirect";

    private Query query;

    private CustomFieldList customFieldList;

    private MenuList menuList;

    private BreadCrumbList breadCrumbList;

    private Suggestions suggestionList;

    private Pagination pagination;

    private FacetList facetList;

    private ResultList resultList;

    private BannerList bannerList;

    private ZoneList zoneList;

    private SearchForm searchForm;

    private Template template;

    private Redirect redirect;

    public void parse(XMLEventReader reader) throws Exception {
	}

    public Query getQuery() {
		return null;
	}

    public CustomFieldList getCustomFieldList() {
		return null;
	}

    public MenuList getMenuList() {
		return null;
	}

    public BreadCrumbList getBreadCrumbList() {
		return null;
	}

    public Suggestions getSuggestions() {
		return null;
	}

    public Pagination getPagination() {
		return null;
	}

    public FacetList getFacetList() {
		return null;
	}

    public ResultList getResultList() {
		return null;
	}

    public BannerList getBannerList() {
		return null;
	}

    public ZoneList getZoneList() {
		return null;
	}

    public SearchForm getSearchForm() {
		return null;
	}

    public Redirect getRedirect() {
		return null;
	}

}
