/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2017 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.day.cq.wcm.foundation.model.responsivegrid;

public final class ResponsiveConstants {

    /** Default configuration */
    public static final String DEFAULT_CSS_PREFIX = "aem-Grid";

    public static final String DEFAULT_COLUMN_CSS_PREFIX = "Column";

    public static final String OFFSET_CSS_VARIANT_NAME = "offset";

    public static final String BREAKPOINT_VARIANT_NAME_DEFAULT = "default";

    public static final int DEFAULT_COLUMNS = 12;

    private ResponsiveConstants () {}
}

