/*
 * Copyright 1997-2008 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */

package com.day.text;

import java.util.Arrays;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Simple text manipulation tasks - these aren't optimized, and are intended
 * primarily to be used by test code. (eg. to compare returned values from
 * functions with the values expected).
 */
public class TextUtils {

    /** default log */
    private static final Logger log = LoggerFactory.getLogger(TextUtils.class);

    public static String removeControlCharacters(String characters) {
		return null;
	}

    public static String removeWhitespace(String characters) {
		return null;
	}

    /**
     * Compare two strings, and determine whether they are approximately
     * "similar" - by this we mean whether they have the same numbers of each
     * character in (barring whitespace). We do this by sorting the strings as a
     * character array and stripping whitespace.
     * <p>
     * This will generate false positives on some text - for example anagrams.
     * <p>
     * For example, the text "Watch the carthorse" and "Watch the orchestra"
     * will both be converted to "aacceehhhorrstttw" and compared - so they will
     * be identical.
     * <p>
     * This method is mostly useful as a simple way of comparing data which can
     * be differently ordered but still functionally equivalent - for example
     * DTDs.
     */
    public static boolean isTextSimilar(String docOne, String docTwo) {
		return false;
	}

    public static boolean noisyIsTextSimilar(String docOne, String docTwo) {
		return false;
	}

    /**
     * Convert all whitespace (tabs and newlines) to single spaces - so they can
     * more easily be removed.
     */
    private static String convertWhitespaceToSpaces(String s) {
		return null;
	}

    /**
     * Remove one block of contiguous whitespace - the behaviour will be
     * incorrect if there is more than one block of whitespace in the string.
     * This is intended to be used after sortString.
     */
    protected static String stripSortedWhitespace(String s) {
		return null;
	}

    /**
     * Sort a string into alphabetical order of the characters in it.
     */
    protected static String sortString(String in) {
		return null;
	}

    /**
     * Remove all whitespace from a string - most useful for test purposes
     * (where you compare two strings, but whitespace isn't syntactically
     * significant)
     */
    public String stripWhitespace(String s) {
		return null;
	}

    /**
     * These are characters not allowed in a text string in a CQ any file - they
     * require escaping.
     */
    public static String sanitizeForCommunique(String s) {
		return null;
	}

    /**
     * Search and replace
     */
    public static String replace(String allOfTheText, String toFind,
        String toReplace) {
			return null;
		}

    public static String trimTrailingSlashes(String input) {
		return null;
	}

    public static String trimLeadingSlashes(String input) {
		return null;
	}

    public static boolean occursOnceOnly(String big, String small) {
		return false;
	}

    public static boolean occursExactlyNTimes(String big, String small, int n) {
		return false;
	}

    public static int countOccurences(String big, String small) {
		return 0;
	}

    /**
     * Removes last level from
     * a "slashy string" representaion of a
     * hierarchical path.
     *
     * For example, '/a/b/c' becomes '/a/b'
     * with the exception that '/' and ''
     * remain unchanged
     */
    public static String trimLastSlashLevel(String input) {
		return null;
	}

}
