/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 ************************************************************************/
package com.adobe.cq.dam.index.helper;

import javax.jcr.Node;
import javax.jcr.RepositoryException;
import org.apache.jackrabbit.JcrConstants;
import org.apache.jackrabbit.oak.plugins.index.IndexConstants;
import org.apache.sling.api.resource.PersistenceException;
import org.apache.sling.api.resource.Resource;
import org.apache.sling.api.resource.ValueMap;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class IndexHelper {

    private static Logger log = LoggerFactory.getLogger(IndexHelper.class);
    private static final String DISABLED_INDEX_TYPE = "disabled";

    /**
     * deprioritise index at given resource
     * @param resource index definition resource
     * @return true, if deprioritised successfully
     */
    public static boolean deprioritiseIndex(Resource resource) {
		return false;
	}

    /**
     * disables index at given resource
     * @param resource index definition resource
     * @return true, if disabled successfully
     */
    public static boolean disableIndex(Resource resource) {
		return false;
	}
    /**
     * Initiates re-indexing
     * @param resource index definition resource
     * @return true, if re-indexing is initiated successfully
     */
    public static boolean reIndex(Resource resource) {
		return false;
	}

    public static long getReIndexCount(Resource resource) {
		return 0L;
	}

    /**
     * checks if a valid oak index definition node
     */
    private static boolean isValidIndexDef(Resource resource) {
		return false;
	}
}
