/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2015 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 ************************************************************************/
package com.adobe.cq.experiencelog;

import org.apache.sling.api.SlingHttpServletRequest;

public interface ExperienceLogConfig {

    /**
     * @param request request
     * @return true if the tracking is enabled for the given request
     */
    boolean isEnabled(SlingHttpServletRequest request) {
		return false;
	}

    /**
     * @return the URL of the tracking script.
     */
    String getTrackingScript() {
		return null;
	}

}
