/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 ************************************************************************/
package com.adobe.cq.screens.sessions;

import org.apache.sling.commons.json.JSONArray;

/**
 * {@code ScreenSessionListener}...
 */
public interface ScreensSessionListener {

    void onConnect(Device device) {
	}

    void onEvent(String name, JSONArray data) {
	}

    void onDisconnect(Device device) {
	}

    void onLogin() {
	}

    void onLogout() {
	}

    void onClose() {
	}
}