/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.calendar.client.api;

import java.util.List;

import com.adobe.cq.social.commons.comments.listing.CommentSocialComponentList;

/**
 * The Interface CalendarEventSocialComponentList.
 */
public interface CalendarEventSocialComponentList extends CommentSocialComponentList {
    /**
     * Gets a strongly typed list of calendar events.
     * @return the list of calendar events managed by this list
     */
    List<CalendarEvent> getEvents() {
		return null;
	}
}
