/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.calendar.client.endpoints;

/**
 * Parameter Name uses by Calendar post request.
 */
public interface CalendarRequestConstants {
    // Get start date query param
    String START_DATE = "start";
    // Get end date query param
    String END_DATE = "end";
    // Title param
    String TITLE = "subject";
    // Location param
    String LOCATION = "location";
    // Location param
    String ADDRESS = "address";
    // message
    String DESCRIPTION = "message";
    // tags
    String TAGS = "tags";
    // time_stamp
    String TIME_STAMP = "timestamp";
    // Post event param
    String EVENT_PARAM = "event";
    // Date range filter param
    String DATES_PARAM = "dates";
    // Is Date param
    String IS_DATE_PARAM = "isDate";
    // Cover image param
    String COVER_IMAGE_PARAM = "coverimage";
    // Remove Cover image param
    String REMOVE_COVER_IMAGE_PARAM = "removeCoverImage";

    String TIMEZONE = "timezone";
}
