/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2015 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.adobe.cq.social.commons.emailreply;

/**
 * This service defines the most commonly used patterns required to build some complex email quoted text patterns.
 */
public interface EmailQuotedTextPatterns {

    /**
     * Replaces each shorthand pattern notation with there values and return final decomposed pattern.
     * @param pattern Pattern containing other shorthand pattern notations
     * @return pattern free from any shorthand pattern notation
     */
    String decomposePattern(final String pattern) {
		return null;
	}
}
