/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2016 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.adobe.cq.social.enablement.resource.endpoints.api;

import java.util.Map;

import javax.jcr.RepositoryException;

import org.apache.sling.api.SlingHttpServletRequest;
import org.apache.sling.api.resource.PersistenceException;
import org.apache.sling.commons.json.JSONException;

import com.adobe.cq.social.enablement.exceptions.EnablementException;
import com.adobe.cq.social.enablement.resource.model.api.EnablementResourceModel;
import com.adobe.cq.social.scf.OperationException;

/**
 * @author akeith
 */
public interface EnablementResourceModelServiceCreate {

    /**
     * @param request
     * @param fieldWhitelist
     * @return
     * @throws OperationException
     */
    Map<String, Object> getOperationProperties(SlingHttpServletRequest request, String[] fieldWhitelist)
        throws OperationException {
		return null;
	}

    /**
     * @param parentResource
     * @param properties
     * @return
     * @throws JSONException
     * @throws RepositoryException
     * @throws EnablementException
     */
    public EnablementResourceModel create(final SlingHttpServletRequest request, final Map<String, Object> properties)
        throws PersistenceException, JSONException, EnablementException {
		return null;
	}

}
