/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.enablement.resource.reporting.api;

import com.adobe.cq.social.reporting.dv.api.DVBarChart;

public interface EnablementResourceRatingsReport extends DVBarChart {

    /** Resource type of component. */
    String RESOURCE_TYPE = "social/enablement/components/hbs/reports/resource/ratingsreport";

    /**
     * Average rating of the resource (out of the highest possible rating) --&gt; e.g. 4/5.
     * @return average
     */
    String getAverage() {
		return null;
	}

    /**
     * Total number of times this resource has been rated.
     * @return total rating count
     */
    Long getTotalRatingCount() {
		return null;
	}
}
