/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2015 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 *
 *************************************************************************/

/**
 * This package contains interfaces for getting information for community users and community groups.
 *
 * The {@link com.adobe.cq.social.members.api.CommunityMemberGroup} class provides functionality for getting basic
 * information for community group.
 *
 * The {@link com.adobe.cq.social.members.api.CommunityMemberGroupCollection} class provides functionality for getting
 * list of {@link com.adobe.cq.social.members.api.CommunityMemberGroup} according to filters.
 *
 * The {@link com.adobe.cq.social.members.api.CommunityMemberGroupProfile} class provides functionality for getting
 * profile information for target group.
 *
 * The {@link com.adobe.cq.social.members.api.CommunityMemberUser} class provides functionality for getting basic
 * information for community user.
 *
 * The {@link com.adobe.cq.social.members.api.CommunityMemberUserCollection} class provides functionality for getting
 * list of {@link com.adobe.cq.social.members.api.CommunityMemberUser} according to filters.
 *
 * The {@link com.adobe.cq.social.members.api.CommunityMemberUserProfile} class provides functionality for getting
 * profile information for target user.
 *
 * The {@link com.adobe.cq.social.members.api.MembersUtils} class provides functionality for getting the
 * {@link com.adobe.cq.social.members.api.CommunityMemberGroupProfile} for the specified user id with the specified
 * resource type.
 */

@Version("1.2.0")
package com.adobe.cq.social.members.api;

import aQute.bnd.annotation.Version;

