/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.adobe.cq.social.moderation.dashboard.api;

import java.util.Calendar;

import javax.jcr.RepositoryException;

import com.adobe.cq.social.user.api.UserProfile;

public interface UserDetails extends UserProfile {

    public static final String RESOURCE_TYPE = "social/moderation/userdetails";

    Calendar getMemberSince() throws RepositoryException {
		return null;
	}

    String getEmail() throws RepositoryException {
		return null;
	}

    String getAboutMe() throws RepositoryException {
		return null;
	}

    Calendar getBirthday() throws RepositoryException {
		return null;
	}

    String getFamilyName() throws RepositoryException {
		return null;
	}

    String getGivenName() throws RepositoryException {
		return null;
	}

    String getGender() throws RepositoryException {
		return null;
	}

    String getStreetAddress() throws RepositoryException {
		return null;
	}

    String getCity() throws RepositoryException {
		return null;
	}

    String getRegion() throws RepositoryException {
		return null;
	}

    String getPostalCode() throws RepositoryException {
		return null;
	}
}
