/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2015 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.subscriptions.client.api;

public interface SubscriptionStatus {

    /**
     * @return Display name of the current subscription status
     */
    public String getDisplayName() {
		return null;
	}

    /**
     * @returnn Returns <code>true</code> if this selection is selected by the user, otherwise, returns
     *          <code>false</code>
     */
    public boolean isSelected() {
		return false;
	}
}
