/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.granite.activitystreams;

/**
 * <code>MutableActivityObject</code>...
 */
public interface MutableActivityObject extends ActivityObject {

    MutableActivityObject setId(String id) {
		return null;
	}

    MutableActivityObject setURL(String url) {
		return null;
	}

    MutableActivityObject setObjectType(String objectType) {
		return null;
	}

    MutableActivityObject setAuthor(ActivityObject author) {
		return null;
	}

    MutableActivityObject setAuthorUserId(String userId) {
		return null;
	}

    MutableActivityObject setContent(String content) {
		return null;
	}

    MutableActivityObject setDisplayName(String displayName) {
		return null;
	}

    MutableActivityObject setSummary(String summary) {
		return null;
	}

    MutableActivityObject setPublished(long published) {
		return null;
	}

    MutableActivityObject setUpdated(long updated) {
		return null;
	}

    MutableActivityObject setImage(MediaLink icon) {
		return null;
	}

    MutableActivityObject setAttachments(ActivityObject[] attachments) {
		return null;
	}

    MutableActivityObject setDownstreamDuplicates(String[] ids) {
		return null;
	}

    MutableActivityObject setUpstreamDuplicates(String[] ids) {
		return null;
	}

    /**
     * Sets the property with the give name and value.
     * @param name name of the property
     * @param value value of the property
     * @return this object for chaining.
     * @since 0.0.10
     */
    MutableActivityObject setProperty(String name, Object value) {
		return null;
	}

}