/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2011 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.granite.license;

import java.util.Map;

import org.osgi.annotation.versioning.ProviderType;

/**
 * This Interface defines...
 *
 */
@ProviderType
public interface License extends Map<String, String> {

    /**
     * the property name of the download id
     */
    public final static String LICENSE_DOWNLOAD_ID = "license.downloadID";

    /**
     * the property name of the customer name
     */
    public final static String LICENSE_CUSTOMER_NAME = "license.customer.name";

    /**
     * the property name of the product name
     */
    public final static String LICENSE_PRODUCT_NAME = "license.product.name";

    /**
     * the property name of the product version
     */
    public final static String LICENSE_PRODUCT_VERSION = "license.product.version";

    String getDownloadId() {
		return null;
	}

    String getCustomerName() {
		return null;
	}

    String getProductName() {
		return null;
	}

    String getProductVersion() {
		return null;
	}
}
