/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.granite.ui.components.ds;

import java.util.Iterator;

import org.apache.sling.api.resource.Resource;

/**
 * Abstract class that implements the {@link DataSource} interface. Implementor
 * of {@link DataSource} is encouraged to extend this class to ensure to always
 * be able to support new methods that might be introduced in the
 * {@link DataSource} in the future.
 */
public abstract class AbstractDataSource implements DataSource {

    public Iterator<Resource> iterator() {
		return null;
	}
}
