/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright Jul 15, 2015 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.day.cq.dam.api.s7dam.config;

import javax.jcr.RepositoryException;

import org.apache.sling.api.resource.PersistenceException;
import org.apache.sling.api.resource.Resource;
import org.apache.sling.api.resource.ResourceResolver;

@Deprecated
public interface S7damConfigService {
	/**
	 * @param path
	 *            - path at or below the cloud config jcr:content node (Could be
	 *            the cloud config itself changing, or a preset, or company
	 *            setting, etc.
	 * @param rr
	 *            - resource resolver
	 * @throws RepositoryException
	 * @throws PersistenceException
	 */
	void initialize(String path, ResourceResolver rr)
			throws RepositoryException, PersistenceException {
	}

	/**
	 * Helper function to retrieve configuration resource associated with S7Dam
	 * module
	 * 
	 * @param path
	 *            path to the configuration node
	 * @return S7Dam configuration resource
	 */
	Resource getS7DamResource(String path) {
		return null;
	}
}
