/*
 * Copyright 1997-2010 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.dam.handler.ffmpeg;

/**
 * Finds the location of an executable.
 */
public interface ExecutableLocator {

    /**
     * Returns the absolute path to an executable, if found,
     * or <code>null</code> if it could not be found.
     * 
     * @param cmd the name of an executable file (e.g. "ffmpeg")
     * @return absolute path to executable or <code>null</code>
     */
    String getPath(String cmd) {
		return null;
	}
}
