/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2017 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 ************************************************************************/

package com.day.cq.dam.scene7.api.model;

import java.util.List;

/**
 * @author Jeff Hutchins
 */
public interface Scene7BatchMetadataResult {
    int getSuccessCount() {
		return 0;
	}
    int getWarningCount() {
		return 0;
	}
    int getErrorCount() {
		return 0;
	}
    List<Scene7AssetOperationFault> getWarningDetails() {
		return null;
	}
    List<Scene7AssetOperationFault> getErrorDetails() {
		return null;
	}
}
