/*
 * Copyright 1997-2010 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */

package com.day.cq.reporting;

/**
 * This interface represents filter settings.
 */
public interface FilterSettings {

    /**
     * Gets the specified filter setting.
     *
     * @param key The key of the setting (implementation specific)
     * @return The corresponding setting; <code>null</code> if no corresponding setting
     *         exists
     */
    Object getSetting(String key) {
		return null;
	}

}
