/*
 * Copyright 1997-2010 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.wcm.tags;

import java.io.IOException;
import java.text.Format;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.JspTagException;
import javax.servlet.jsp.tagext.BodyTagSupport;

import com.adobe.granite.xss.XSSAPI;
import org.apache.sling.api.resource.Resource;
import org.apache.sling.api.resource.ResourceUtil;
import org.apache.sling.api.resource.ValueMap;
import org.apache.sling.api.scripting.SlingBindings;
import org.apache.sling.scripting.jsp.util.TagUtil;

import com.day.cq.commons.DiffInfo;
import com.day.cq.commons.DiffService;
import com.day.cq.wcm.api.WCMMode;

/**
 * <code>TextTag</code>...
 */
public class TextTag extends BodyTagSupport {

    public static final String DEFAULT_PLACEHOLDER = "<div><span class=\"cq-text-placeholder-ipe\">&para;</span></div>";

    private Object value;

    private Object oldValue;

    private String def;

    private String placeholder;

    private String propertyName;

    private Format fmt;

    private boolean escapeXml;

    private boolean noDiff;

    private String output;

    private String tagClass;

    private String tagName;

    private static String PROPERTY_TEXT_IS_RICH = "textIsRich";
    private XSSAPI xssAPI;
    private boolean textIsRich;
    private boolean enforceFilterHTML;

    private void init() {
	}

    @Override
    public void release() {
	}

    @Override
    public int doStartTag() throws JspException {
		return 0;
	}

    @Override
    public int doAfterBody() throws JspException {
		return 0;
	}

    @Override
    public int doEndTag() throws JspException {
		return 0;
	}


    public void setValue(Object value) {
	}

    public void setDefault(String def) {
	}

    public void setProperty(String propertyName) {
	}

    public void setFormat(Format fmt) {
	}

    public void setEscapeXml(boolean escapeXml) {
	}
	
    public void setEnforceFilterHTML(boolean enforceFilterHTML) {
	}

    public void setNoDiff(boolean noDiff) {
	}

    public void setPlaceholder(String def) {
	}

    public void setOldValue(Object oldValue) {
	}

    public void setTagClass(String tagClass) {
	}

    public void setTagName(String tagName) {
	}

    private String escapeXSS(String text) {
		return null;
	}
}
