/*
 * Copyright 1997-2008 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.wcm.workflow.process;

import org.apache.felix.scr.annotations.Component;
import org.apache.felix.scr.annotations.Property;
import org.apache.felix.scr.annotations.Service;

import com.day.cq.replication.ReplicationActionType;
import com.day.cq.workflow.exec.WorkflowProcess;

/**
 * <code>ActivatePageProcess</code>
 * Process for Replications of type <i>activate</i>.
 *
 * @see ReplicatePageProcess
 */
@Component
@Service(WorkflowProcess.class)
@Property(name = "process.label", value = "Activate Page")
public class ActivatePageProcess extends ReplicatePageProcess {

    public ReplicationActionType getReplicationType() {
		return null;
	}
}
