package com.twelvemonkeys.imageio.metadata.exif;

/**
 * Unknown
 *
 * @author <a href="mailto:harald.kuhr@gmail.com">Harald Kuhr</a>
 * @author last modified by $Author: haraldk$
 * @version $Id: Unknown.java,v 1.0 Oct 8, 2010 3:38:45 PM haraldk Exp$
 * @see <a href="http://en.wikipedia.org/wiki/There_are_known_knowns">We also know there are known unknowns</a>
 */
final class Unknown {
    private final short type;
    private final int count;
    private final long pos;

    public Unknown(final short type, final int count, final long pos) {
        this.type = type;
        this.count = count;
        this.pos = pos;
    }

    @Override
    public int hashCode() {
		return 0;
	}

    @Override
    public boolean equals(final Object other) {
		return false;
	}

    @Override
    public String toString() {
		return null;
	}
}
